package de.humance.eco.profile.model;

import com.liferay.portal.kernel.bean.AutoEscape;
import com.liferay.portal.model.BaseModel;
import com.liferay.portal.model.CacheModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

/**
 * The base model interface for the VehicleAttributeDefinitionResource service. Represents a row in the &quot;Profile_VehicleAttributeDefinitionResource&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link de.humance.eco.profile.model.impl.VehicleAttributeDefinitionResourceModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link de.humance.eco.profile.model.impl.VehicleAttributeDefinitionResourceImpl}.
 * </p>
 *
 * @author Humance
 * @see VehicleAttributeDefinitionResource
 * @see de.humance.eco.profile.model.impl.VehicleAttributeDefinitionResourceImpl
 * @see de.humance.eco.profile.model.impl.VehicleAttributeDefinitionResourceModelImpl
 * @generated
 */
public interface VehicleAttributeDefinitionResourceModel extends BaseModel<VehicleAttributeDefinitionResource> {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this interface directly. All methods that expect a vehicle attribute definition resource model instance should use the {@link VehicleAttributeDefinitionResource} interface instead.
     */

    /**
     * Returns the primary key of this vehicle attribute definition resource.
     *
     * @return the primary key of this vehicle attribute definition resource
     */
    public long getPrimaryKey();

    /**
     * Sets the primary key of this vehicle attribute definition resource.
     *
     * @param primaryKey the primary key of this vehicle attribute definition resource
     */
    public void setPrimaryKey(long primaryKey);

    /**
     * Returns the vehicle attribute definition resource ID of this vehicle attribute definition resource.
     *
     * @return the vehicle attribute definition resource ID of this vehicle attribute definition resource
     */
    public long getVehicleAttributeDefinitionResourceId();

    /**
     * Sets the vehicle attribute definition resource ID of this vehicle attribute definition resource.
     *
     * @param vehicleAttributeDefinitionResourceId the vehicle attribute definition resource ID of this vehicle attribute definition resource
     */
    public void setVehicleAttributeDefinitionResourceId(
        long vehicleAttributeDefinitionResourceId);

    /**
     * Returns the vehicle attribute definition ID of this vehicle attribute definition resource.
     *
     * @return the vehicle attribute definition ID of this vehicle attribute definition resource
     */
    public long getVehicleAttributeDefinitionId();

    /**
     * Sets the vehicle attribute definition ID of this vehicle attribute definition resource.
     *
     * @param vehicleAttributeDefinitionId the vehicle attribute definition ID of this vehicle attribute definition resource
     */
    public void setVehicleAttributeDefinitionId(
        long vehicleAttributeDefinitionId);

    /**
     * Returns the country of this vehicle attribute definition resource.
     *
     * @return the country of this vehicle attribute definition resource
     */
    @AutoEscape
    public String getCountry();

    /**
     * Sets the country of this vehicle attribute definition resource.
     *
     * @param country the country of this vehicle attribute definition resource
     */
    public void setCountry(String country);

    /**
     * Returns the language of this vehicle attribute definition resource.
     *
     * @return the language of this vehicle attribute definition resource
     */
    @AutoEscape
    public String getLanguage();

    /**
     * Sets the language of this vehicle attribute definition resource.
     *
     * @param language the language of this vehicle attribute definition resource
     */
    public void setLanguage(String language);

    /**
     * Returns the title of this vehicle attribute definition resource.
     *
     * @return the title of this vehicle attribute definition resource
     */
    @AutoEscape
    public String getTitle();

    /**
     * Sets the title of this vehicle attribute definition resource.
     *
     * @param title the title of this vehicle attribute definition resource
     */
    public void setTitle(String title);

    /**
     * Returns the unit of this vehicle attribute definition resource.
     *
     * @return the unit of this vehicle attribute definition resource
     */
    @AutoEscape
    public String getUnit();

    /**
     * Sets the unit of this vehicle attribute definition resource.
     *
     * @param unit the unit of this vehicle attribute definition resource
     */
    public void setUnit(String unit);

    @Override
    public boolean isNew();

    @Override
    public void setNew(boolean n);

    @Override
    public boolean isCachedModel();

    @Override
    public void setCachedModel(boolean cachedModel);

    @Override
    public boolean isEscapedModel();

    @Override
    public Serializable getPrimaryKeyObj();

    @Override
    public void setPrimaryKeyObj(Serializable primaryKeyObj);

    @Override
    public ExpandoBridge getExpandoBridge();

    @Override
    public void setExpandoBridgeAttributes(BaseModel<?> baseModel);

    @Override
    public void setExpandoBridgeAttributes(ExpandoBridge expandoBridge);

    @Override
    public void setExpandoBridgeAttributes(ServiceContext serviceContext);

    @Override
    public Object clone();

    @Override
    public int compareTo(
        VehicleAttributeDefinitionResource vehicleAttributeDefinitionResource);

    @Override
    public int hashCode();

    @Override
    public CacheModel<VehicleAttributeDefinitionResource> toCacheModel();

    @Override
    public VehicleAttributeDefinitionResource toEscapedModel();

    @Override
    public VehicleAttributeDefinitionResource toUnescapedModel();

    @Override
    public String toString();

    @Override
    public String toXmlString();
}
